#!/bin/bash
# TINA  plugin for Nagios
# Written by M.Koettenstorfer (mko@lihas.de)
# Last Modified: 27-11-2008
#
# Description:
#
# This plugin will check the status of local
# TINA Backups.
#

# get tina enviroment
CHECKFILE="/tmp/tinacheck"
RESULTFILE="/tmp/tinaresult"
RUNTINA="/usr/Atempo/tina/Bin/runtina"
TINABACKUPSTATE=" tina_acct  -output_format  csv  -csv_separator  :   -v_platform  -v_status  -v_folder  -v_jobtype"

$RUNTINA $TINABACKUPSTATE > $CHECKFILE


# Nagios return codes
STATE_OK=0
STATE_WARNING=1
STATE_CRITICAL=2
STATE_UNKNOWN=3
STATE_DEPENDENT=4

if [ ! -x "$RUNTINA" ]
then
echo "UNKNOWN: $TINALISTTAPES not found or is not executable by the nagios user"
exitstatus=$STATE_UNKNOWN
exit $exitstatus
fi

PROGNAME=`basename $0`


`awk -F ":" '{print $1, $2, echo ","}' $CHECKFILE | grep -v "ok" | grep -v "running" | grep -v "Platform"  > $RESULTFILE`

check_backup_state()
{
		if [ -s $RESULTFILE  ]
			then
				MESSAGE="TINA CRITICAL Backup failed - `cat $RESULTFILE`"
				exitstatus=$STATE_CRITICAL
		else
			MESSAGE="TINA OK BACKUPS SUCESSFULL - `echo "Alles OK"`"
				exitstatus=$STATE_OK
		fi

}

exitstatus=$STATE_UNKNOWN #default

check_backup_state
rm $RESULTFILE
rm $CHECKFILE

echo $MESSAGE
exit $exitstatus

